Subject: Re: [PATCH] pci_alloc_consistent in an interrupt context

From: David Gibson <[email-masked]>
Date: Fri, 14 Jun 2002 11:33:52 +1000

On Thu, Jun 13, 2002 at 06:25:11PM -0700, Eugene Surovegin wrote:
>
> At 05:24 PM 6/13/2002, David Gibson wrote:
> >That's right.  But I think the patch below is a better fix for the
> >problem.  It makes consistent_alloc()/consistent_free() just do the
> >right thing for both cache coherent and cache non-coherent processors,
> >so we can get rid of the ifdef in pci_alloc_consistent() and
> >pci_free_consistent().
>
> So, kmalloc will allocate non-cacheable memory?
>
> I seriously doubt it (actually I've just tested it:).

No, but on cache coherent processors we don't need non-cacheable
memory.  That's the whole point.  Likewise with __get_free_pages()
which is what pci_alloc_consistent() uses on cache-coherent processors
now.

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.  -- H.L. Mencken
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/